summaryrefslogtreecommitdiffstats
path: root/build-aux/run-script
diff options
context:
space:
mode:
Diffstat (limited to 'build-aux/run-script')
-rwxr-xr-xbuild-aux/run-script21
1 files changed, 21 insertions, 0 deletions
diff --git a/build-aux/run-script b/build-aux/run-script
new file mode 100755
index 0000000..1045a7a
--- /dev/null
+++ b/build-aux/run-script
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+set -e
+
+top_srcdir="$(dirname "$0")/.."
+
+# To avoid using «readlink -f» or «realpath» we just change into the
+# desired directory and work from there.
+cd "$top_srcdir"
+cwd="$(pwd)"
+cd "$OLDPWD"
+
+# Set up the environment, to use local perl modules and data files.
+export PERL="${PERL:-perl}"
+export PERL5LIB="$cwd/scripts:$cwd/dselect/methods"
+export DPKG_DATADIR="$cwd/data"
+
+script="$1"
+shift 1
+
+exec "$PERL" "$cwd/$script" "$@"